body,
html {
    margin: 0;
    padding: 0;
    height: 100vh;
    display: flex;
    flex-direction: column;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 14px;
    background-color: black;
}

table,
th,
td {
    border: 0px;
    margin: 0.5px;
    padding: 10px;
}

th {
    padding-top: 15px;
    padding-bottom: 15px;
    font-size: x-small;
    background-color: #1e1e1e;
    color: #707070;
}

td {
    background-color: white;
    color: black;
}

.boldtd td {
    font-weight: 750;
}

a:link {
    color: white;
}

a:visited {
    color: gray;
}

a:hover {
    color: #FFC0CB;
}

a:active {
    color: #0000FF;
}

.video-container {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: top;
}


.video-container video {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.alerts {
    background-image: linear-gradient(to right, magenta, orange);
    text-shadow: none;
    color: black;
    padding: 10px;
    display: flex;
    justify-content: center;
    align-items: center;
    font-weight: bold;
    font-size: 16px;
    animation-name: fadeInMove;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    opacity: 0;
}

@keyframes fadeInMove {
    0% {
        opacity: 0;
        transform: translateY(-50px);
    }

    100% {
        opacity: 1;
        transform: translateY(0);
    }
}


@keyframes fadeIn {
    0% {
        opacity: 1;
        backdrop-filter: blur(0px) brightness(100%);
        -webkit-backdrop-filter: blur(0px) brightness(100%);
    }

    100% {
        opacity: 1;
        backdrop-filter: blur(25px) brightness(50%);
        -webkit-backdrop-filter: blur(25px) brightness(50%);
    }
}


.bodeh {
    flex-grow: 1;
    overflow: hidden;
}

@keyframes throb-once {
    0% {
        transform: scale(1);
    }

    50% {
        transform: scale(1.01);
    }

    100% {
        transform: scale(1);
    }
}

@keyframes throb-twice {
    0% {
        transform: scale(1);
        filter: brightness(100%);
    }

    25% {
        transform: scale(1.1);
        filter: brightness(500%);
    }

    50% {
        transform: scale(1);
        filter: brightness(100%);
    }

    75% {
        transform: scale(1.1);
        filter: brightness(500%);
    }

    100% {
        transform: scale(1);
        filter: brightness(100%);
    }
}

.default-transition {
    animation-name: throb-once;
    animation-duration: 0.25s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
    animation-play-state: running;
}

.dramatic-transition {
    animation-name: throb-twice;
    animation-duration: 0.25s;
    animation-iteration-count: 1;
    animation-fill-mode: forwards;
    animation-play-state: running;
}

.very-dramatic-transition {
    animation-name: throb-twice;
    animation-duration: 0.25s;
    animation-iteration-count: 4;
    animation-fill-mode: forwards;
    animation-play-state: running;
}

.content {
    padding: 20px;
    margin: 20px;
    margin-top: 5%;
    border-radius: 20px;
    height: fit-content;
    position: relative;
    color: #fff;
    backdrop-filter: blur(25px) brightness(30%);
    -webkit-backdrop-filter: blur(25px) brightness(30%);
    text-align: justify;
}

.fs-content {
    width: 100%;
    height: 100%;
    padding: 20px;
    position: relative;
    color: #fff;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    backdrop-filter: blur(25px) brightness(50%);
    -webkit-backdrop-filter: blur(25px) brightness(50%);
    display: flex;
    flex-direction: column;
    text-align: justify;
    justify-content: center;
    align-items: center;
}

.fs-content-topleft {
    width: 100%;
    height: 100%;
    padding: 20px;
    position: relative;
    color: #fff;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    backdrop-filter: blur(25px) brightness(50%);
    -webkit-backdrop-filter: blur(25px) brightness(50%);
    display: flex;
    flex-direction: column;
    text-align: left;
    justify-content: top;
    align-items: left;
    animation-name: fadeIn;
    animation-duration: .3s;
    animation-fill-mode: forwards;
    opacity: 0;
}

.addscrollbars {
    overflow: auto;
}


.floating-content {
    max-width: 1200px;
    padding: 20px;
    margin: 20px;
    margin-top: 2%;
    border-radius: 20px;
    height: fit-content;
    position: relative;
    color: #fff;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    text-align: justify;
}

.gold {
    color: #fbac01;
}

.matchheaderheader {
    color: #fbac01;
    border: 1px solid #fbac01;
    padding: 10px;
    font-size: 15px;
    font-weight: bold;
    margin-left: 1px;
    justify-content: left;
    display: inline-flex;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    backdrop-filter: blur(3px) brightness(85%);
    -webkit-backdrop-filter: blur(3px) brightness(85%);
}

.match {
    width: 100%;
    height: 100%;
    padding: 20px;
    position: relative;
    color: #fff;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    display: flex;
    flex-direction: column;
    text-align: left;
    justify-content: top;
    align-items: center;
    margin: 10px;
    overflow: auto;
}

.match-content {
    width: 100%;
    height: 100%;
    padding: 20px;
    margin: 20px;
    margin-top: 15px;
    /*margin-bottom: 0px;*/
    position: relative;
    color: #fff;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    backdrop-filter: blur(1px) brightness(75%);
    -webkit-backdrop-filter: blur(1px) brightness(75%);
    display: flex;
    flex-direction: column;
    text-align: left;
    justify-content: top;
    align-items: left;
    animation-name: fadeIn2;
    animation-duration: 1s;
    animation-fill-mode: forwards;
    opacity: 0;
}

@keyframes fadeIn2 {
    0% {
        opacity: 1;
        backdrop-filter: blur(0px) brightness(100%);
        -webkit-backdrop-filter: blur(0px) brightness(100%);
    }

    100% {
        opacity: 1;
        backdrop-filter: blur(15px) brightness(50%);
        -webkit-backdrop-filter: blur(15px) brightness(50%);
    }
}

.floating-content td {
    background-color: #282828;
    color: white;
}

.floating-content td.submit {
    background-color: magenta;
    color: white;
    text-align: center;
    padding: 5px;
}

.floating-content button {
    border: none;
    color: white;
    background-color: #282828;
    text-decoration: none;
    display: inline-block;
    font-size: 15px;
    font-weight: bold;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.pointycursor {
    cursor: pointer;
}

.button-noformat {
    border: none;
    color: white;
    background-color: #00000000;
    text-decoration: none;
    display: inline-block;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.fs-overlay {
    backdrop-filter: blur(25px) brightness(50%);
    -webkit-backdrop-filter: blur(25px) brightness(50%);
    height: 100%;
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 1;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    animation-name: fadeIn;
    animation-duration: .3s;
    animation-fill-mode: forwards;
    opacity: 0;
}

.fs-overlay-wrapper {
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    height: 100%;
}

.fs-overlay-content {
    color: white;
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    text-align: center;
    width: 500px;
}

.content-subsection {
    max-width: 1200px;
}

.club-subsection {
    margin-top: 10px;
    margin-left: 25px;
    width: fit-content;
    overflow: auto;
    max-height: 100%;
}

.addrow {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: left;
    align-items: flex-start;
    width: 100%;
}

.addrowsmall {
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    justify-content: left;
    align-items: flex-start;
}

.tabletitle {
    background-color: #cbcbcb;
    color: black;
    text-shadow: none;
    font-size: 16px;
    font-weight: 1000;
    padding: 5px;
    vertical-align: middle;
}

.club-subsection table {
    border-spacing: 1px 1px;
    border-collapse: separate;
}

.club-subsection td {
    background-color: #282828;
    color: white;
    margin: 1px;
    padding: 10px;
}

.club-subsection-row {
    margin-top: 10px;
    margin-left: 25px;
    display: flex;
    flex-direction: row;
    justify-content: left;
    align-items: center;
}

.clubheaderheader {
    color: #fbac01;
    border: 1px solid #fbac01;
    padding: 10px;
    font-size: 15px;
    font-weight: bold;
    margin-left: 0px;
    justify-content: left;
    display: inline-flex;
}

.clubheadergoldtext {
    color: #fbac01;
    padding: 10px;
    font-size: 20px;
    font-weight: bold;
    margin-left: 0px;
    justify-content: left;
    display: inline-flex;
}

.valigncenter {
    display: flex;
    align-items: center;
}

.scoreline {
    color: black;
    background-color: #fbac01;
    border: none;
    padding: 4.5px;
    padding-left: 10px;
    padding-right: 10px;
    font-size: large;
    font-weight: 900;
    text-shadow: none;
    margin-left: 1px;
    justify-content: left;
    display: inline-flex;
}


.newslist-title {
    background-color: #0637ff;
    font-size: 16px;
    font-weight: 700;
    margin-top: 4px;
    padding: 10px;
}

.newslist-item {
    background-color: #282828;
    font-size: 14px;
    padding: 10px;
    padding-left: 15px;
}

.inlinebutton-nosize {
    font-family: Arial, Helvetica, sans-serif;
    border: none;
    color: white;
    background-color: #00000000;
    display: inline-block;
    font-weight: 1000;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    padding: 0px;
    margin: 0px;
}

.inlinebutton-nosize:hover {
    background-color: white;
}


.inlinebutton {
    font-family: Arial, Helvetica, sans-serif;
    border: none;
    color: white;
    background-color: #00000000;
    display: inline-block;
    font-size: 8px;
    font-weight: 1000;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    padding: 0px;
    margin: 0px;
}

.inlinebutton:hover {
    background-color: white;
}


.header {
    padding: 5px;
    background-color: #282828;
    display: flex;
    flex-wrap: wrap;
    flex-direction: row;
    text-align: justify;
    align-items: center;
}

.mainbuttons {
    margin-left: 30px;
    display: flex;
    flex-direction: row;
    text-align: justify;
    align-items: center;
}

.logout {
    width: 100px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    margin: 0px;
    padding: 0px;
    padding-top: 5px;
    padding-bottom: 5px;
}

.logout-inner {
    background-color: #202020;
    border-radius: 20px;
    padding: 5px;
    padding-right: 10px;
    width: min-content;
}

.usertray {
    margin-left: auto;
    background-color: #202020;
    color: white;
    border-radius: 20px;
    padding: 5px;
    padding-right: 5px;
    padding-left: 15px;
    display: flex;
    flex-direction: row;
    text-align: justify;
    align-items: center;
    gap: 15px;
}

.submit {
    background-color: #ffae00;
    color: #282828;
    text-align: center;
    padding: 5px;
}

.darkcell {
    background-color: #282828;
    color: white;
    text-align: center;
    padding: 5px;
}

.bluecell {
    background-color: #0537ff;
    color: white;
    text-align: center;
    font-weight: bold;
    font-size: 16px;
    padding: 5px;
    white-space: nowrap;
}

.button {
    font-family: Arial, Helvetica, sans-serif;
    border: none;
    color: #000000;
    background-color: #00000000;
    display: inline-block;
    font-size: 15px;
    font-weight: 900;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.greyback {
    background-color: #282828;
    color: white;
}

.roundpad {
    padding: 10px;
    border-radius: 20px;
}

.roundpad-sm {
    padding: 5px;
    border-radius: 10px;
}


.button:hover {
    background-color: white;
    color: #000000;
}

button:disabled {
    color: #555;
    cursor: not-allowed;
}

.smallbutton {
    font-family: Arial, Helvetica, sans-serif;
    border: none;
    color: white;
    background-color: #00000000;
    cursor: pointer;
}

.smallbutton:hover {
    background-color: white;
}

.headerbutton {
    border: none;
    color: white;
    background-color: #00000000;
    display: inline-block;
    font-size: 14px;
    font-weight: 900;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
    padding-top: 5px;
    padding-bottom: 5px;
    font-family: Arial, Helvetica, sans-serif;
}

.headerbutton:hover {
    background-color: #0537ff;
}

.headerbuttonactive {
    background-color: white;
    color: black;
    text-shadow: none;
}

.headerbuttonactive:hover {
    background-color: white;
}

.notheaderbutton {
    font-family: Arial, Helvetica, sans-serif;
    border: none;
    color: white;
    background-color: #00000000;
    display: inline-block;
    font-size: 8px;
    font-weight: bold;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
}

.notheaderbutton:hover {
    background-color: #0537ff;
}

.clubbutton {
    font-family: Arial, Helvetica, sans-serif;
    border: none;
    color: white;
    background-color: #282828;
    margin-left: 1px;
    display: inline-block;
    padding: 5px;
    padding-left: 10px;
    padding-right: 10px;
    font-weight: 800;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
    text-shadow: -1px 0 black, 0 1px black, 1px 0 black, 0 -1px black;
}

.clubbutton:hover {
    background-color: white;
    color: black;
    text-shadow: none;
}

.maxwidth {
    max-width: 1200px;
}

.minwidth {
    min-width: 300px;
}

.bigfont {
    font-size: 16px;
}

.pitchback {
    background-image: url('../res/pitch_background.jpg');
    background-repeat: no-repeat;
    background-position: center;
    background-color: #1e1e1e;
}

select {
    text-indent: 0.01px;
    cursor: pointer;
    -webkit-appearance: none;
    -moz-appearance: none;
    color: #FFF;
    background-color: #282828;
    text-align: center;
}

.select:hover {
    background-color: white;
    color: black;
}

.tableframe {
    background-color: #00000000;
    margin: 3px;
    padding: 0px;
}

.tableframe tr,
.tableframe td {
    margin: 5px !important;
    padding: 0px !important;
    background-color: #00000000;
    text-align: center;
}

.cleartd td {
    background-color: #00000000;
    min-width: 15px;
}

.cleartd th {
    background-color: #1e1e1e;
}

.tacticstable {
    margin: 3px;
    padding: 5px;
}

.tacticstable tr {
    margin: 3px;
    padding: 5px;
}

.tacticstable th {
    color: white;
}

.tacticstable td {
    background-color: #282828;
}

.narrow-content {
    max-width: 800px;
}

ul {
    list-style-type: disc;
    list-style-position: inside;
    display: list-item;
    margin: 0
}


.margin10 {
    margin-left: 10px;
}

.margin10 table {
    margin-left: 0px;
    padding: 0px;
}

.mintdwidth td {
    min-width: 200px;
}